www/p5-Net-OAuth2-AuthorizationServer - The NetBSD Packages Collection

Easier implementation of an OAuth2 Authorization Server

This module is the gateway to the various OAuth2 grant flows, as
documented at https://tools.ietf.org/html/rfc6749. Each module
implements a specific grant flow and is designed to "just work"
with minimal detail and effort.

Please see Net::OAuth2::AuthorizationServer::Manual for more
information on how to use this module and the various grant types.
You should use the manual in conjunction with the grant type module
you are using to understand how to override the defaults if the
"just work" mode isn't good enough for you.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

security/p5-CryptX security/p5-Crypt-JWT devel/p5-Moo devel/p5-Type-Tiny lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0aarch64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0aarch64ebp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0alphap5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0alphap5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0earmv6hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0earmv6hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0earmv7hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0earmv7hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0i386p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0i386p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0m68kp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0powerpcp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0powerpcp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0sh3elp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0sh3elp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0sparc64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0sparcp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0vaxp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0x86_64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 10.0x86_64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0aarch64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0aarch64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0alphap5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0alphap5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0earmp5-Net-OAuth2-AuthorizationServer-0.28.tgz
NetBSD 9.0earmv6hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0earmv6hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0earmv7hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0earmv7hfp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0i386p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0i386p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0mips64ebp5-Net-OAuth2-AuthorizationServer-0.28.tgz
NetBSD 9.0powerpcp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0powerpcp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0powerpcp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0sh3elp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0sparc64p5-Net-OAuth2-AuthorizationServer-0.28.tgz
NetBSD 9.0sparc64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0vaxp5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0x86_64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.0x86_64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.3x86_64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz
NetBSD 9.3x86_64p5-Net-OAuth2-AuthorizationServer-0.28nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.